unit DateForm;

interface

uses
  SysUtils, WinTypes, Messages, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids, Calendar, Buttons, Spin;

type
  TDtForm = class(TForm)
    Calendar: TCalendar;
    Edit1: TEdit;
    Edit2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    SpinButton1: TSpinButton;
    SpinButton2: TSpinButton;
    procedure FormShow(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure CalendarDblClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure SpinButton2UpClick(Sender: TObject);
    procedure SpinButton2DownClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DtForm: TDtForm;

implementation
uses  DBNum;
{$R *.DFM}

procedure TDtForm.FormShow(Sender: TObject);
begin
Calendar.Calendardate:= Now;
Edit1.Text:=IntToStr(Calendar.Month);
Edit2.Text:=IntToStr(Calendar.Year);
end;

procedure TDtForm.Edit1Change(Sender: TObject);
begin
Calendar.Month:=StrToInt(Edit1.Text);
end;

procedure TDtForm.Edit2Change(Sender: TObject);
begin
Calendar.Year:=StrToInt(Edit2.Text);
end;

procedure TDtForm.CalendarDblClick(Sender: TObject);
begin
TDBNum(Cname).Field.AsDateTime:=Calendar.Calendardate;
Close;
end;

procedure TDtForm.BitBtn1Click(Sender: TObject);
begin
TDBNum(Cname).Field.AsDateTime:=Calendar.Calendardate;
Close;
end;

procedure TDtForm.SpinButton1DownClick(Sender: TObject);
begin
if StrToInt(Edit1.Text) > 1 then
Edit1.Text := IntToStr(StrToInt(Edit1.Text)-1);
end;

procedure TDtForm.SpinButton1UpClick(Sender: TObject);
begin
if StrToInt(Edit1.Text) < 12 then
Edit1.Text := IntToStr(StrToInt(Edit1.Text)+1);
end;

procedure TDtForm.SpinButton2DownClick(Sender: TObject);
begin
Edit2.Text := IntToStr(StrToInt(Edit2.Text)-1);
end;

procedure TDtForm.SpinButton2UpClick(Sender: TObject);
begin
Edit2.Text := IntToStr(StrToInt(Edit2.Text)+1);
end;

end.
